SplFileObject::getCurrentLine
SplFileObject::getMaxLineLen
SplFileObject
PHP Manual

# SplFileObject::getFlags

Gets flags for the SplFileObject

### Description

public int SplFileObject::getFlags ( void )

Gets the flags set for an instance of SplFileObject as an integer.

### Parameters

This function has no parameters.

### Return Values

Returns an integer representing the flags.

### Examples

Example #1 SplFileObject::getFlags example

`<?php
$file = new SplFileObject(__FILE__, "r");
if ($file->getFlags() & SplFileObject::SKIP_EMPTY) {
echo "Skipping empty lines\n";
} else {
echo "Not skipping empty lines\n";
}
$file->setFlags(SplFileObject::SKIP_EMPTY);
if ($file->getFlags() & SplFileObject::SKIP_EMPTY) {
echo "Skipping empty lines\n";
} else {
echo "Not skipping empty lines\n";
}
?>`

The above example will output something similar to:

    Not skipping empty lines
    Skipping empty lines

### See Also

- SplFileObject::setFlags